use ExtUtils::MakeMaker;

# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
  'NAME'		=> 'LPost',
  'VERSION_FROM'	=> 'LPost.pm', # finds $VERSION
  'PREREQ_PM'		=> {}, # e.g., Module::Name => 1.1
	      ($] >= 5.005 ?    ## Add these new keywords supported since 5.005
	       (ABSTRACT_FROM => 'LPost.pm', # retrieve abstract from module
		AUTHOR     => 'A. U. Thor <a.u.thor@a.galaxy.far.far.away>') : ()),
	      'LIBS'		=> [''], # e.g., '-lm'
	      'DEFINE'		=> '', # e.g., '-DHAVE_SOMETHING'
	      # Insert -I. if you add *.h files later:
	      'INC'		=> '', # e.g., '-I/usr/include/other'
	      # Un-comment this if you add C files to link with later:
	      # 'OBJECT'		=> '$(O_FILES)', # link all the C files too
	      'MYEXTLIB'          => 'lib/libLPost$(LIB_EXT)',
    'PM'  => {'LPost.pm' => '$(INST_LIBDIR)/LPost.pm',
	      'LEXICON' => '$(INST_LIBDIR)/LEXICON',
	      'CONTEXTUALRULEFILE' => '$(INST_LIBDIR)/CONTEXTUALRULEFILE',
	      'LEXICALRULEFILE' => '$(INST_LIBDIR)/LEXICALRULEFILE',
	      'BIGRAMS' => '$(INST_LIBDIR)/BIGRAMS',
	     }
);

sub MY::postamble {
  '
$(MYEXTLIB): lib/Makefile
	cd lib && $(MAKE) $(PASSTHRU)
';
}
